### Function

# Foundry subprocess_communicate

#### Declaration [src]

    DexFuture*
    foundry_subprocess_communicate (
      GSubprocess* subprocess,
      GBytes* stdin_bytes
    )

#### Description [src]

Like `g_subprocess_communicate()` but only supports stdout and is returned as a future to `GBytes`.

#### Parameters

`subprocess`

  Type: `GSubprocess`

  A `FoundrySubprocess`.

  The data is owned by the caller of the function.

`stdin_bytes`

  Type: `GBytes`

  The standard input buffer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string.

The caller of the function takes ownership of the data, and is responsible for freeing it.